# CodeNight-KI

Anwendungen mit KI Entwickeln.

## Anleitung zum Einrichten der Entwicklungsumgebung

- Gehe auf [https://coder.mdg-hamburg.de](https://coder.mdg-hamburg.de) und melde dich an.
- Erstelle einen neuen Workspace (new workspace). Wähle "Docker for KI" als Template aus.
- Wähle einen eigenen Workspace Name und klicke danach auf "Create workspace".
- Klicke nach einer kurzen Wartezeit auf den 3. Button (code-server)
- Klicke links im Seitenmenü auf das Symbol mit den drei Linien -> Terminal -> New Terminal
- Kopiere folgenden Link:
```sh
    git clone https://gitea.mdg-hamburg.de/julian.kiedaisch/CodeNight-KI.git
```
- Gebe anschließend folgende zwei Befehle in das Terminal ein:
```sh
    python3 -m venv .venv && source .venv/bin/activate && pip install -r CodeNight-KI/requirements.txt
```
- Gehe nun in der linken Menüleiste aufdas Symbol mit den vier Quadraten (Extensions). Gib als Suchbegriff "python" ein und installiere die ms-python Version.
- Du bist fertig mit der Einrichtung und kannst jetzt die Python-Programme im Ordner CodeNight-KI verwenden.

## Anleitung zum Bearbeiten von Bilderstellungssequenzen
- Gehe zuerst auf den [KI-Server1](http://172.22.0.28:8188) oder [KI-Server2](http://172.22.0.29:8188)
- Erstelle einen neuen Workflow (oder bearbeite einen existierenden)
- Klicke auf Workflow->Export(API) um das Workflow JSON herunter zu laden.
- Überprüfe in der JSON Datei die Nummer der Nodes für die Eingaben (prompt, width, height, seed, ...) mit den Nodes in der Pythondatei.
- Verschiedene Workflows sind [hier](https://comfyworkflows.com/) zu finden. Aber Achtung: Nicht alle Modelle lassen sich so einfach auf den KI-Servern installieren!
